KDE 2.2.1 Install, I need some advice please!

KDE 2.2.1 Install, I need some advice please!

Post by Johann Snyma » Sat, 24 Nov 2001 08:35:27



Please help.

I have downloaded all I need to install KDE 2.2.1 from 2.1.1 (RH7.1) I am currently using.
I basically got all the files from KDE unofficial redhat 7.1 dir. I also had to download
some additional RPM's (lame, libxslt,ncurses and lm_sensors) there weren't RPM's for RH for
some of them, so I downloaded "polished distribution" RPM's. I hope this is OK. If I do
rpm -ivh /home/me/KDEDOWN/* it shows no dependecy problems. If I do
rpm -Uvh /h/m/K/*   I get
error: failed dependencies:
        libpanel.so.5   is needed by python2-2.1.1-0.rh7x.1
        libtool-libs = 1.3.5-8 is needed by libtool-1.3.5-8
        libpanel.so.5   is needed by isdn4k-utils-3.1-39
        libSDL-1.1.so.0   is needed by smpeg-0.4.2-2
        libSDL-1.1.so.0   is needed by Maelstrom-3.0.1-11
        libSDL-1.1.so.0   is needed by smpeg-xmms-0.3.3-1
        kdesupport is needed by kdbg-1.2.0-3

The files I have are:

arts-2.2.1-0.rh71.1.cups.i386.rpm
cups-1.1.10-0.rh7x.1.i386.rpm
cups-devel-1.1.10-0.rh7x.1.i386.rpm
kdeaddons-kate-2.2.1-0.rh7x.1.i386.rpm
kdeaddons-kicker-2.2.1-0.rh7x.1.i386.rpm
kdeaddons-knewsticker-2.2.1-0.rh7x.1.i386.rpm
kdeaddons-konqueror-2.2.1-0.rh7x.1.i386.rpm
kdeaddons-noatun-2.2.1-0.rh7x.1.i386.rpm
kdeadmin-2.2.1-0.rh7x.1.i386.rpm
kdeartwork-2.2.1-0.rh7x.1.i386.rpm
kdeartwork-locolor-2.2.1-0.rh7x.1.i386.rpm
kdebase-2.2.1-0.rh71.2.cups.i386.rpm
kdebase-devel-2.2.1-0.rh71.2.cups.i386.rpm
kdegames-2.2.1-0.rh7x.1.i386.rpm
kdegraphics-2.2.1-0.rh7x.1.i386.rpm
kdegraphics-devel-2.2.1-0.rh7x.1.i386.rpm
kdelibs-2.2.1-0.rh71.1.cups.i386.rpm
kdelibs-devel-2.2.1-0.rh71.1.cups.i386.rpm
kdelibs-sound-2.2.1-0.rh71.1.cups.i386.rpm
kdelibs-sound-devel-2.2.1-0.rh71.1.cups.i386.rpm
kdeliquid-0.5.1-1.i386.rpm
kdemultimedia-2.2-0.rh7x.1.i386.rpm
kdemultimedia-devel-2.2-0.rh7x.1.i386.rpm
kdenetwork-2.2.1-0.rh7x.1.i386.rpm
kdenetwork-ppp-2.2.1-0.rh7x.1.i386.rpm
kdepim-2.2-0.rh7x.1.i386.rpm
kdepim-devel-2.2-0.rh7x.1.i386.rpm
kdesdk-2.2.1-0.rh7x.1.i386.rpm
kdesdk-devel-2.2.1-0.rh7x.1.i386.rpm
kdetoys-2.2.1-0.rh7x.1.i386.rpm
kdeutils-2.2-0.rh7x.1.i386.rpm
kdevelop-2.0.1-0.rh7x.1.i386.rpm
kdoc-2.2-0.rh7x.1.noarch.rpm
koffice-1.1-0.rh7x.1.i386.rpm
koffice-devel-1.1-0.rh7x.1.i386.rpm
kpppload-1.04-30.rh7x.1.i386.rpm
lame-3.89-1.i386.rpm
lame-libs-3.89-1.i386.rpm
libtool-libs13-1.3.5-0.rh7x.1.i386.rpm
libtool-libs-1.4-0.rh7x.1.i386.rpm
libxslt-1.0.1-3.i386.rpm
lm_sensors-2.5.5-6.i386.rpm
mozilla-0.9.4-2.i386.rpm
mozilla-chat-0.9.4-2.i386.rpm
mozilla-devel-0.9.4-2.i386.rpm
mozilla-mail-0.9.4-2.i386.rpm
mozilla-psm-0.9.4-2.i386.rpm
ncurses-5.2-17.i386.rpm
pcre-3.4-0.rh7x.1.i386.rpm
pcre-devel-3.4-0.rh7x.1.i386.rpm
python2-2.1.1-0.rh7x.1.i386.rpm
python2-devel-2.1.1-0.rh7x.1.i386.rpm
qt-2.3.1-0.rh71.1.i386.rpm
qt-designer-2.3.1-0.rh71.1.i386.rpm
qt-devel-2.3.1-0.rh71.1.i386.rpm
qt-static-2.3.1-0.rh71.1.i386.rpm
qt-Xt-2.3.1-0.rh71.1.i386.rpm
SDL-1.2.2-0.rh7x.1.i386.rpm
SDL-devel-1.2.2-0.rh7x.1.i386.rpm

(Sorry for the long list, I figured it might be better to provide as much possible info)

Should I do the rpm -ivh ? Will I break something seriously? I need to rename
~/.kde before I start the install. Is this correct?

Please help, I would love to upgrade to 2.2.1 !

--
*Don't count your chickens - it takes too long.
Red Hat Linux release 7.1 (Seawolf)
Kernel 2.4.2-2 on an i686
  1:34am  up 2 days, 22:26,  7 users,  load average: 1.00, 1.03, 1.06

 
 
 

1. KDE 2.2: Install advice needed

Hello!

I'm getting two unfulfilled dependences from to files while trying to
install KDE 2.2

Can I ignore them or should I try to fix this before trying to force/nodeps
install? I'm using XFree86 4.0.1 know but I think what might be needed is
4.1.0 Please give me some advice!

libXft.so.1   needed by...a lot of things..... (15 times or so)
   libXrender.so.1   needed by...a lot of things..... (15 times or so)

Using RH 7.0 and KDE 2.1 today...

Best regards,


2. 2.2.1 - apparently won't copy to boot sector

3. KDE Install help needed please ; )

4. i didn't

5. Advice please - want to upgrade from kde 1.1.1

6. Help! SCSI: 0

7. Advice on installing Mosfet Liquid with KDE 2.2

8. DAT Drive: Hardware compression HOWTO

9. "advice" to KDE authors from a kde newbie

10. Advice Please - Server Install and SoftUpdates

11. Please help! Advice needed

12. Newbie needs advice on Red Hat "Live" CD-ROM, please

13. Hi folks, Need some advice from Modem Guru please